Skip to main content
GET
/
v2
/
wallets
/
{walletId}
/
offers
/
{offerId}
Retrieve a Canton offer
curl --request GET \
  --url https://production.hifibridge.com/v2/wallets/{walletId}/offers/{offerId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://production.hifibridge.com/v2/wallets/{walletId}/offers/{offerId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://production.hifibridge.com/v2/wallets/{walletId}/offers/{offerId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "amount": "<string>",
  "currency": "usdcx",
  "source": {
    "party": "<string>"
  },
  "destination": {
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "userWalletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "party": "<string>"
  },
  "creationTransactionHash": "<string>",
  "executionTransactionHash": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "expiresAt": "2023-11-07T05:31:56Z"
}
{
  "code": 123,
  "error": "<string>",
  "errorDetails": "<string>"
}
{
  "status": "error",
  "error": {
    "code": "<string>",
    "message": "<string>"
  }
}
{
  "code": 123,
  "error": "<string>",
  "errorDetails": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

walletId
string<uuid>
required

ID of the wallet

offerId
string<uuid>
required

ID of the Canton offer

Response

Success

id
string<uuid>

Unique identifier for the Canton offer

status
enum<string>

Current status of the offer

Available options:
RECEIVED,
PENDING,
ACCEPTED,
REJECTED,
WITHDRAWN,
EXPIRED
amount
string

The amount of the offer

currency
enum<string>

The currency of the offer

Available options:
usdcx
source
object
destination
object
creationTransactionHash
string

The transaction hash when the offer was created

executionTransactionHash
string | null

The transaction hash when the offer was accepted or rejected (null if not yet executed)

createdAt
string<date-time>

Timestamp when the offer was created

updatedAt
string<date-time>

Timestamp when the offer was last updated

expiresAt
string<date-time> | null

Timestamp when the offer expires (null if no expiration)